
if(window['plus']){
    initSJAnalytics5plus()
}else{
    document.addEventListener("plusready", initSJAnalytics5plus, true);
}

function initSJAnalytics5plus(){
    var _BARCODE = "sjAnalytics5plus";
    var plusBridge = window.plus.bridge;
    var sjAnalytics5Plus = {
        setRegister : function(userId, method, isSuccess){
            return plusBridge.exec(_BARCODE, "setRegister", [userId, method, isSuccess]);
        },
        setLoginSuccess : function(userId){
            return plusBridge.exec(_BARCODE, "setLoginSuccess", [userId]);
        },
        setOrder : function(orderId, currencyType, currencyAmount, roleId, zoneId, serverId, userId){
            return plusBridge.exec(_BARCODE, "setOrder", [orderId, currencyType, currencyAmount, roleId, zoneId, serverId, userId]);
        },
        setPayment : function(orderId, paymentType, currencyType, currencyAmount, productId, productName, productDesc, productNum, roleId, zoneId, serverId, userId){
            return plusBridge.exec(_BARCODE, "setPayment", [orderId, paymentType, currencyType, currencyAmount, productId, productName, productDesc, productNum, roleId, zoneId, serverId, userId])
        },
        setEvent :function(eventName, eventContent){
            return plusBridge.exec(_BARCODE, "setEvent", [eventName, eventContent]);
        }
    }
    window.plus.sjAnalytics5Plus = sjAnalytics5Plus;
}

/**
 * 用户注册
 * @param userId 用户唯一标识，例如：三方登录的userid， 或者游戏的accountid
 * @param method 注册方式，例如：mobile、weixin、qq等
 * @param isSuccess 是否注册成功，成功：true 失败：false
 */
function sjAnalyticsSetRegister(userId, method, isSuccess){
    plus.sjAnalytics5Plus.setRegister(userId, method, isSuccess);
}

/**
 * 用户登录成功
 * @param userId 用户唯一标识，与setRegister的userId保持一致，例如：三方登录的userid， 或者游戏的accountid
 */
function sjAnalyticsSetLoginSuccess(userId){
    plus.sjAnalytics5Plus.setLoginSuccess(userId);
}

/**
 * 设置交易订单
 * @param orderId 交易流水号，务必保持唯一
 * @param currencyType 货币类型， 例如 CNY（人民币），USD（美元）
 * @param currencyAmount 支付金额，单位为元
 * @param roleId 当前角色id
 * @param zoneId 当前服务器id
 * @param serverId 当前服务器id
 * @param userId 当前用户id
 */
function sjAnalyticsSetOrder(orderId, currencyType, currencyAmount, roleId, zoneId, serverId, userId){
    plus.sjAnalytics5Plus.setOrder(orderId, currencyType, currencyAmount, roleId, zoneId, serverId, userId);
}

/**
 * 支付成功是调用
 * @param orderId 交易流水号，务必保持唯一，且与setOrder传入的orderId一致
 * @param paymentType 支付类型，例如：weixinpay、alipay等
 * @param currencyType 货币类型，例如：CNY（人民币）、USD（美元）
 * @param currencyAmount 支付金额，单位为元
 * @param productId 商品id
 * @param productName 商品名称
 * @param productDesc 商品介绍
 * @param productNum 商品数量
 * @param roleId 当前角色id
 * @param zoneId 当前服务器id
 * @param serverId 当前服务器id
 */
function sjAnalyticsSetPayment(orderId, paymentType, currencyType, currencyAmount, productId, productName, productDesc, productNum, roleId, zoneId, serverId, userId){
    plus.sjAnalytics5Plus.setPayment(orderId, paymentType, currencyType, currencyAmount, productId, productName, productDesc, productNum, roleId, zoneId, serverId, userId);
}

/**
 * Adjust支付追踪事件
 * eventName 事件名称
 *  price 货币价格（点击一次广告价值多少）
 * Currency 货币种类(日元 JPY，其他查询https://docs.adjust.com/zh/event-tracking/supported-currencies/)
 */
function sjAnalyticsAdjustPayEvent(eventName,price,currency){
      plus.sjAnalytics5Plus.setAdjustPayEvent(eventName,price,currency);
}

/**
 * 自定义事件
 * @param eventName 事件名称
 * @param eventContent 事件内容，必须为json字符串格式
 */
function sjAnalyticsSetEvent(eventName, eventContent){
    plus.sjAnalytics5Plus.setEvent(eventName, eventContent);
}

